package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.PackSubLabelInfoBean;

public interface PackSubLabelDal {
	void insertPackSubLabel(PackSubLabelInfoBean b);
	List<PackSubLabelInfoBean> queryAllSubLabelByPackageId(int packageId,int option_id,int option_type);
	List<String> queryAllSubLabelStrByPackageId(int packageId,int option_id,int option_type);
	void deletePackLabelById(int id);
	boolean hasExistActivateLabel(String labelId);
	boolean hasExistSubPackLabel(String labelId);
	boolean hasExistSubPackLabelInPackageId(String labelId, int packageId);
	void updateLabelStatus(String labelId,int option_id,int option_type,int status);
	void updateLabelListStatus(List<String> labels,int packageId,int option_id,int option_type,int status);
	int queryLabelCountByOptionId(int option_id,int option_type);
	int queryLabelCountByPackageId(int packageId);
	PackSubLabelInfoBean getSubLabel(Cursor c);
}
